package cn.teammodel.model.entity.appraise;

import lombok.Data;

/**
 * 成就的晋级规则
 * @author winter
 * @create 2023-12-13 15:23
 */
@Data
public class AchievementRule {
    private String id;
    /**
    * 等级名称
    */
    private String name;
    /**
    * 等级 logo
    */
    private String logo;
    /**
    * 等级顺序
    */
    private Integer level;
    /**
    * 每次所需表扬数
    */
    private Integer levelCount;
    /**
    * 晋级所需下一等级所需当前等级次数
    */
    private Integer promotionLevel;
    /**
    * 晋升到下一等级所需总表扬树
    */
    private Integer promotionCount;

}
